karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Kulp (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-5021) Downgrade to Jetty 9.3.14
Date Thu, 09 Mar 2017 15:59:38 GMT

    [ https://issues.apache.org/jira/browse/KARAF-5021?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15903262#comment-15903262
] 

Daniel Kulp commented on KARAF-5021:
------------------------------------


CXF's websocket support, camel-atmosphere-websocket, and atmosphere itself are all broken
with Jetty 9.3.15 due to the same change that broke pax-web.     CXF is now fixed on master
for the direct jetty use cases (release needs to be made), but the atmosphere use cases are
not fixed as the Atmosphere folks need to fix their code and release.    See https://github.com/Atmosphere/atmosphere/issues/2242

At this point, sticking with 9.3.14 is about the only option to not break the various applications
and such that are using atmosphere for their websocket stuff.  (and CXF until 3.1.11 is released)

> Downgrade to Jetty 9.3.14
> -------------------------
>
>                 Key: KARAF-5021
>                 URL: https://issues.apache.org/jira/browse/KARAF-5021
>             Project: Karaf
>          Issue Type: Dependency upgrade
>          Components: karaf-webcontainer
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 4.1.1
>
>
> Due to a bunch of breaking changes, and in order to smoothly work with CXF, it would
be better to downgrade to Jetty 9.3.14.
> I will create the Jetty at Pax Web too (cc [~achim_nierbeck]).



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message